Skip to main content
`Ctrl`+`K`

# TaoGetGradientNorm

Returns the matrix used to define the norm used for measuring the size of the gradient in some of the `Tao` algorithms

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetGradientNorm(Tao tao, Mat *M)

Not Collective

## Input Parameter

- tao - the `Tao` context

## Output Parameter

- M - gradient norm

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetGradientNorm()`, `TaoGradientNorm()`

## Level

beginner

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages